:root {
    --primary-color: #007BFF;
    --hover-color: #0056b3;
    --background-color: #0F1419;
    --text-color: white;
    --border-color: #ccc;
}

body {
    font-family: Arial, sans-serif;
    line-height: 2;
    margin: 10;
    padding: 10;
    background-color: var(--background-color);
    color: var(--text-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 150vh;
    text-align: center;
}

header {
    margin-bottom: 10px;
}

.logo img {
    width: 300px; /* يمكنك تعديل العرض حسب الحاجة */
    height: auto; /* الحفاظ على نسبة الأبعاد */
    margin-top: 10px; /* إضافة مسافة أعلى الشعار */
    margin-bottom: 10px; /* إضافة مسافة أسفل الشعار */
}

main {
    flex: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

footer {
    position: relative;
    bottom: 0;
    padding: 10px;
    text-align: center;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.7);
}

a {
    color: #1DA1F2;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

@media (max-width: 600px) {
    .logo img {
        width: 80%;
    }

    footer {
        font-size: 14px;
    }
}


#contact {
    margin: 20px;
    padding: 20px;
    border: none; /* إزالة الإطار */
    border-radius: 8px; /* زوايا مستديرة */
    direction: rtl;
    text-align: right;
    background-color: transparent; /* إزالة اللون الخلفي */
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1); /* ظل خفيف (اختياري) */
}

#contact h2 {
    margin-bottom: 20px;
    font-size: 20px;
    color: var(--primary-color);
}

#contact div {
    margin-bottom: 10px;
}

#contact label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

#contact input[type="text"],
#contact input[type="email"],
#contact textarea {
    width: 90%;
    padding: 12px;
    border: 1px solid var(--border-color); /* يمكنك الإبقاء على الحدود الخفيفة */
    border-radius: 4px;
    transition: border-color 0.3s, box-shadow 0.3s;
}

#contact input[type="text"]:focus,
#contact input[type="email"]:focus,
#contact textarea:focus {
    border-color: var(--primary-color);
    box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
}

#contact textarea {
    height: 90px;
    resize: vertical;
}

#contact input[type="submit"] {
    background-color: var(--primary-color);
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.2s;
}

#contact input[type="submit"]:hover {
    background-color: var(--hover-color);
    transform: scale(1.05);
}

